> ## Documentation Index
> Fetch the complete documentation index at: https://anyhouse.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Specifications

> Reference of specification IDs (amenities and features) used in the AnyHouse Listings API.

## Overview

When filtering listings with **GET /api/listings**, you can use the `specifications` query parameter to restrict results to properties that have certain amenities or features. Specifications are passed as a **comma-separated list of IDs**.

Example:

```
GET https://anyhouse.app/api/listings?specifications=4,6,13
```

This returns listings that have at least one of: Pool (4), Beachfront (6), or Sea view (13).

***

## Specification reference

| ID | English           | Spanish                | Dutch                    | French                  |
| -- | ----------------- | ---------------------- | ------------------------ | ----------------------- |
| 1  | Security          | Seguridad              | Bewaking                 | Sécurité                |
| 2  | Fully furnished   | Totalmente amueblado   | Volledig gemeubileerd    | Entièrement meublé      |
| 3  | Parking spaces    | Plazas de aparcamiento | Parkeerplaatsen          | Places de stationnement |
| 4  | Pool              | Piscina                | Zwembad                  | Piscine                 |
| 5  | Gym               | Gimnasio               | Gym                      | Salle de sport          |
| 6  | Beachfront        | Frente a la playa      | Aan het strand           | À la plage              |
| 7  | Spa               | Spa                    | Spa                      | Spa                     |
| 8  | BBQ               | Barbacoa               | BBQ                      | Barbecue                |
| 9  | Jacuzzi           | Jacuzzi                | Jacuzzi                  | Jacuzzi                 |
| 10 | Bar               | Barra                  | Bar                      | Bar                     |
| 11 | Golf              | Golf                   | Golf                     | Golf                    |
| 12 | Park              | Parque                 | Park                     | Parc                    |
| 13 | Sea view          | Vista marítima         | Zeezicht                 | Vue sur la mer          |
| 14 | Convenience store | Tienda de conveniencia | Winkels                  | Magasins                |
| 15 | Sports area       | Zona deportiva         | Sportterrein             | Terrain de sport        |
| 16 | Work zone         | Zona de trabajo        | Werk zone                | Zone de travaux         |
| 17 | Lobby             | Vestíbulo              | Lobby                    | Lobby                   |
| 18 | Terrace           | Terraza                | Terras                   | Terrasse                |
| 20 | Law of Confotur   | Ley de Confotur        | wet van Confotur         | Loi de Confotur         |
| 21 | Major Appliances  | Línea Blanca           | huishoudelijke Apparaten | Gros Électroménagers    |

***

## Usage in the Listings API

* **Parameter:** `specifications`
* **Type:** string (comma-separated IDs)
* **Example:** `?specifications=4,6,9,13` returns listings with Pool, Beachfront, Jacuzzi, or Sea view.
* Omit `specifications` to get all listings regardless of amenities.

See [Listings](/listings) for full API documentation.
